Page MenuHomePhabricator

link in diff with statement linking to Form
Closed, ResolvedPublic3 Story Points

Description

Statements with datatype Form in diffs should link to the referenced Form.

Given I am on a diff page
AND the change that was made includes a statement linking to a Form
THEN the Form should be linked to the Form

Info:

  • LexemeDiffVisualizerIntegrationTest might be a start

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterHamcrest integration: avoid risky tests
mediawiki/extensions/WikibaseLexeme : masterUse FormIdHtmlFormatter if format is 'text/html; disposition=diff'

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 24 2018, 5:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher triaged this task as Medium priority.May 27 2018, 3:58 PM
Pablo-WMDE set the point value for this task to 3.Jun 6 2018, 1:57 PM
Pablo-WMDE updated the task description. (Show Details)

Change 438266 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseLexeme@master] Use FormIdHtmlFormatter if format is 'text/html; disposition=diff'

https://gerrit.wikimedia.org/r/438266

Change 439549 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Hamcrest integration: avoid risky tests

https://gerrit.wikimedia.org/r/439549

Change 438266 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Use FormIdHtmlFormatter if format is 'text/html; disposition=diff'

https://gerrit.wikimedia.org/r/438266

Change 439549 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Hamcrest integration: avoid risky tests

https://gerrit.wikimedia.org/r/439549

Vvjjkkii renamed this task from link in diff with statement linking to Form to fccaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Tarrow as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Tarrow; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from fccaaaaaaa to link in diff with statement linking to Form.Jul 2 2018, 4:28 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Tarrow.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot set the point value for this task to 3.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Tarrow.